Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006709OCamldocumentationpublic2014-12-12 15:532017-05-14 15:26
Reporterdbuenzli 
Assigned Tooctachron 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.02.1 
Target Version4.06.0+devFixed in Version 
Summary0006709: Document the associativity of operators declared in Pervasives in Pervasives itself.
DescriptionWould be nice to have that directly in the API documentation. Rather than having to dig for http://caml.inria.fr/pub/docs/manual-ocaml/expr.html [^] and compute the actual associativity according to the structure of the operator.
Tagsjunior_job
Attached Files

- Relationships

-  Notes
(0017792)
octachron (developer)
2017-05-10 22:48

I have a potential implementation (with precedence level too) here: https://github.com/ocaml/ocaml/pull/1167 [^]
(0017794)
dra (developer)
2017-05-14 15:26

GPR#1167 merged onto trunk, so marking this one as done... for octachron's closure figures, obviously ;o)

- Issue History
Date Modified Username Field Change
2014-12-12 15:53 dbuenzli New Issue
2015-01-09 00:01 doligez Status new => confirmed
2015-01-09 00:01 doligez Target Version => 4.02.2+dev / +rc1
2015-05-06 21:30 shinwell Tag Attached: junior_job
2015-05-06 21:30 shinwell Target Version 4.02.2+dev / +rc1 => 4.02.3+dev
2015-07-10 17:45 doligez Target Version 4.02.3+dev => 4.03.0+dev / +beta1
2016-04-18 15:00 doligez Target Version 4.03.0+dev / +beta1 => 4.03.1+dev
2017-02-16 14:01 doligez Target Version 4.03.1+dev => undecided
2017-02-23 16:35 doligez Category OCaml documentation => Documentation
2017-02-23 16:44 doligez Category Documentation => documentation
2017-03-07 14:07 shinwell Severity minor => feature
2017-05-10 22:48 octachron Note Added: 0017792
2017-05-14 15:26 dra Note Added: 0017794
2017-05-14 15:26 dra Assigned To => octachron
2017-05-14 15:26 dra Status confirmed => resolved
2017-05-14 15:26 dra Resolution open => fixed
2017-05-14 15:26 dra Target Version undecided => 4.06.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker